Get V1 vault allocators
Active allocator addresses for a Morpho Vault V1 and the transaction hash and block number of each latest role grant.
Vault selector example: 1:0xBEEF01735c132Ada46AA9aA4c54623cAA92A64CB (format: <chain_id>:<vault_address>; replace with the target vault).
Path Parameters
vault-selector*string
Selector formatted as <chain_id>:<vault_address>. Example: 1:0xBEEF01735c132Ada46AA9aA4c54623cAA92A64CB.
Format
<chain_id>:<vault_address>Response Body
application/json
curl -X GET "https://example.com/v0/vaults-v1/1:0xBEEF01735c132Ada46AA9aA4c54623cAA92A64CB/allocators"{ "data": [ { "grant_block_number": "23335802", "role_address": "0x0000aeB716a0DF7A9A1AAd119b772644Bc089dA8", "tx_hash": "0x8ef18dd4c5ef94344d30852f61e3abb1ad6c7cc4deee3cb0b032598515ec3164" } ], "last_indexed_block": "25501833", "params": { "chain_id": 1, "vault_address": "0xBEEF01735c132Ada46AA9aA4c54623cAA92A64CB" }}GETGet V1 vault allocation history
Historical allocation state of a Morpho Vault V1 grouped by market: supplied assets, supplied shares, and supply cap.
GETGet V1 vault realized average APY
Realized average APY of a Morpho Vault V1 over a predefined lookback period, derived from share price evolution. Post-fee, excludes rewards.